Name: {{.serviceName}}.api
Host: {{.host}}
Port: {{.port}}
Timeout: 30000

Auth:
  AccessSecret: # the same as core
  AccessExpire: 259200

CORSConf:
  Address: '*'

Log:
  ServiceName: {{.serviceName}}ApiLogger
  Mode: console
  Path: ./logs/{{.serviceName}}/api
  Encoding: plain # json or plain
  Level: debug
  Stat: false
  Compress: false
  KeepDays: 7
  StackCoolDownMillis: 100

Prometheus:
  Host: 0.0.0.0
  Port: 4000
  Path: /metrics

{{if .useCasbin}}
RedisConf:
  Host: 127.0.0.1:6379
  Type: node

DatabaseConf:
  Type: mysql
  Host: 127.0.0.1
  Port: 3306
  DBName: test
  Username: # set your username
  Password: # set your password
  MaxOpenConn: 1000
  SSLMode: disable
  CacheTime: 5

CasbinConf:
  ModelText: |
    [request_definition]
    r = sub, obj, act
    [policy_definition]
    p = sub, obj, act
    [role_definition]
    g = _, _
    [policy_effect]
    e = some(where (p.eft == allow))
    [matchers]
    m = r.sub == p.sub && keyMatch2(r.obj,p.obj) && r.act == p.act

{{else}}
{{if .useEnt}}
DatabaseConf:
  Type: mysql
  Host: 127.0.0.1
  Port: 3306
  DBName: simple_admin
  Username: # set your username
  Password: # set your password
  MaxOpenConn: 100
  SSLMode: disable
  CacheTime: 5
{{end}}
{{end}}

{{if .useI18n}}
I18nConf:
  Default: zh
  RootPath: dal/i18n/locale
  SortedParameterPrefix: p
{{end}}